<!--<div class="card register-page">-->
<!--  <div class="register-box">-->
<!--    <div class="register-logo">-->
<!--      <a><b>Avatar</b>Booking</a>-->
<!--    </div>-->

    <div class="card" style="width: 300px;margin-left: 250px;margin-top: 50px">
      <div class="card-body register-card-body">
        <p class="login-box-msg" style="color: black">Register a new membership</p>

        <form *ngIf="!isSuccessful"
              name="form"
              (ngSubmit)="f.form.valid && onSubmit()"
              #f="ngForm"
              novalidate>
          <div class="input-group mb-3" style="margin-top: -20px">
            <input    type="text"
                      class="form-control"
                      name="username"
                      [(ngModel)]="form.username"
                      required
                      minlength="3"
                      maxlength="20"
                      #username="ngModel"
                      placeholder="Username">
            <div class="input-group-append">
              <div class="input-group-text">
                <span class="fas fa-user"></span>
              </div>
            </div>
          </div>
          <div class="alert-danger" *ngIf="f.submitted && username.invalid">
            <div *ngIf="username.errors.required">Username is required</div>
            <div *ngIf="username.errors.minlength">
              Username must be at least 3 characters
            </div>
            <div *ngIf="username.errors.maxlength">
              Username must be at most 20 characters
            </div>
          </div>
          <div class="input-group mb-3">
            <input type="email"
                   class="form-control"
                   name="email"
                   [(ngModel)]="form.email"
                   required
                   email
                   #email="ngModel"
                   placeholder="Email">

            <div class="input-group-append">
              <div class="input-group-text">
                <span class="fas fa-envelope"></span>
              </div>
            </div>
          </div>
          <div class="alert-danger" *ngIf="f.submitted && email.invalid">
            <div *ngIf="email.errors.required">Email is required</div>
            <div *ngIf="email.errors.email">
              Email must be a valid email address
            </div>
          </div>
          <div class="input-group mb-3">
            <input type="password"
                   class="form-control"
                   name="password"
                   [(ngModel)]="form.password"
                   required
                   minlength="6"
                   #password="ngModel"
                   placeholder="Password">
            <div class="input-group-append">
              <div class="input-group-text">
                <span class="fas fa-lock"></span>
              </div>
            </div>
          </div>
          <div class="alert-danger" *ngIf="f.submitted && password.invalid">
            <div *ngIf="password.errors.required">Password is required</div>
            <div *ngIf="password.errors.minlength">Password must be at least 6 characters</div>
          </div>

          <div class="input-group mb-3">
            <p class="login-box-msg"><a style="color:black;">Register as an Avatar </a> <i *ngIf="!asAvatar" (click)="registerasAvatar()" class="far fa-square" style="color: black"></i>
                                                              <i *ngIf="asAvatar" (click)="registerasAvatarDeselect()" class="far fa-check-square" style="color: #00b44e"></i>
            </p>
          </div>














          <div class="social-auth-links text-center" style="margin-top: -30px">


            <button class="btn btn-primary btn-block">Register</button>

          </div>
          <div class="alert alert-warning" *ngIf="f.submitted && isSignUpFailed">
            Signup failed!<br />{{ errorMessage }}
          </div>
        </form>
        <div class="alert alert-success align-content-center" *ngIf="isSuccessful">
          you have successfully registered <br>Please Activate your account
        </div>


        <a  [routerLink]="['/login']" class="text-center">I already have a membership</a>
      </div>
      <!-- /.form-box -->
    </div><!-- /.card -->
<!--  </div>-->

<!--</div>-->
